unit inicial;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, jpeg, ExtCtrls;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    edSite: TEdit;
    Label1: TLabel;
    Image1: TImage;
  procedure PaginaInicialMozilla(Site: String);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.PaginaInicialMozilla(Site: String);
var
    Arq: TextFile;
    Path, Linha, SiteInicial: String;
    Lista: TStringList;
    i:Integer;
begin
    //Abre o arquivo de profiles do mozilla para identificar qual  o endereo padro que ele armazena as outras configuraes.
    AssignFile ( arq, 'C:\Documents and Settings\Administrador\Dados de aplicativos\Mozilla\Firefox\profiles.ini' );
    Reset ( arq );
    ReadLn ( arq, linha );

    while not Eof ( arq ) do
        begin
        linha:=Trim(linha); //Usamos o Trim para tirar os espaos no inicio e no final de cada linha coletada.
        If Pos('Profiles/',linha)> 0 then //Quando achar a linha que contm o trecho "Profiles/", significa que estamos na linha do path.
            begin
            Path:=Trim(Copy(linha,Pos('Profiles/',linha)+9,50));//Pega tudo que tenha na linha depois do Profiles/.
            end;
        ReadLn ( arq, linha );
        end;


    Lista:=TStringList.Create;//Cria uma lista tipo memo.
    Lista.LoadFromFile('C:\Documents and Settings\Administrador\Dados de aplicativos\Mozilla\Firefox\Profiles\'+ Path +'\prefs.js'); //Abre o arquivo pelo path encontrado.

    for i:=1 to Lista.Count - 1 do
        begin
        if Pos('"browser.startup.homepage"',Trim(Lista[i]))>0 then //No lao quando encontrar na linha o texto  "browser.startup.homepage" ele substitui com o site digitado.
            begin
            Lista.Strings[i]:='user_pref("browser.startup.homepage", "'+ Site +'");'; //Insere o site digitado.
            end;
        end;

    Lista.SaveToFile('C:\Documents and Settings\Administrador\Dados de aplicativos\Mozilla\Firefox\Profiles\'+ Path +'\prefs.js'); //Salva o novo arquivo copiando os dados do List.
    Lista.Free;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
    PaginaInicialMozilla(edSite.Text); //Chamada para funo.
end;

end.
